com.rscja.team.qcom.deviceapi

## Class Barcode1D_qcom.UHFProtocolParseBase

- java.lang.Object
- - com.rscja.team.qcom.deviceapi.Barcode1D_qcom.UHFProtocolParseBase

- Enclosing class:
    Barcode1D_qcom

      public static class Barcode1D_qcom.UHFProtocolParseBase
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFProtocolParseBase()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkData(java.util.List<java.lang.Byte> data)`
    `static java.lang.String` | `generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank, int lockMode)`
    `byte[]` | `getUhfvalidData(java.util.AbstractQueue<java.lang.Byte> queue, int timeOut, boolean isClean)`
    `byte[]` | `getUhfvalidData(byte[] inDataBuf)`
    `static java.util.ArrayList<UHFTAGInfo>` | `parseReadTagData_EPC(byte[] data)`
    `static java.util.ArrayList<UHFTAGInfo>` | `parseReadTagDataEPC_TID_USER(byte[] data)`
    `static UHFTAGInfo` | `parserUhfTagBuff_EPC_TID_USER(byte[] tagsBuff, boolean isContainAnt)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UHFProtocolParseBase

          public UHFProtocolParseBase()

  - ### Method Detail

    - #### parseReadTagData_EPC

          public static java.util.ArrayList<UHFTAGInfo> parseReadTagData_EPC(byte[] data)

    - #### parseReadTagDataEPC_TID_USER

          public static java.util.ArrayList<UHFTAGInfo> parseReadTagDataEPC_TID_USER(byte[] data)

    - #### parserUhfTagBuff_EPC_TID_USER

          public static UHFTAGInfo parserUhfTagBuff_EPC_TID_USER(byte[] tagsBuff,
                                                                 boolean isContainAnt)

    - #### generateLockCode

          public static java.lang.String generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank,
                                                          int lockMode)

    - #### getUhfvalidData

          public byte[] getUhfvalidData(byte[] inDataBuf)

    - #### getUhfvalidData

          public byte[] getUhfvalidData(java.util.AbstractQueue<java.lang.Byte> queue,
                                        int timeOut,
                                        boolean isClean)

    - #### checkData

          public boolean checkData(java.util.List<java.lang.Byte> data)